Subject: TSQL Userfriedliness Benchmark

From: Shashi K. Gadia <[email-masked]>
Date: Tue, 8 Jun 93 14:04:23 CDT

I agree with Rick, about the independence 
between userfriendliness and expressiveness.  
When Sunil Nair and I started this effort, 
it was meant only for userfriebdliness and 
I hope it maintains that focus.  

In past few years I have seen very many 
temporal algebras and languages: some very 
timid, some outright impossible for users 
to express their queries in.  It is time we 
stop playing with such toys.  My minimum hope 
of the benchmark effort is that we weed 
them out.  

The intention of the benchmark is not 
to undermine or preempt the importance of 
expressiveness.  It is true that one can have 
a dismal and a friendly language.  
On the other hand one can have very 
expressive languages with dismal 
opportunities for optimization.    

I am open to someone initiating an 
effort for studying expressiveness.  
However, I feel that it is a far more  
difficult issue to tackle, as 
very little research has been 
done on that topic.